Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for Q3Accel

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

Q3Accel class reference

### Static Public Members

- QString keyToString ( QKeySequence k ) `(obsolete)`
- QKeySequence stringToKey ( const QString & s ) `(obsolete)`

## Member Function Documentation

### QString Q3Accel::keyToString ( QKeySequence k ) `[static]`

Creates an accelerator string for the key k. For instance CTRL+Key_O gives "Ctrl+O". The "Ctrl" etc. are translated (using QObject::tr()) in the "Q3Accel" context.

The function is superfluous. Cast the QKeySequence k to a QString for the same effect.

### QKeySequence Q3Accel::stringToKey ( const QString & s ) `[static]`

Returns an accelerator code for the string s. For example "Ctrl+O" gives CTRL+UNICODE_ACCEL+'O'. The strings "Ctrl", "Shift", "Alt" are recognized, as well as their translated equivalents in the "Q3Accel" context (using QObject::tr()). Returns 0 if s is not recognized.

This function is typically used with tr(), so that accelerator keys can be replaced in translations:

        Q3PopupMenu *file = new Q3PopupMenu(this);
        file->insertItem(p1, tr("&Open..."), this, SLOT(open()),
                          Q3Accel::stringToKey(tr("Ctrl+O", "File|Open")));

Notice the `"File|Open"` translator comment. It is by no means necessary, but it provides some context for the human translator.

The function is superfluous. Construct a QKeySequence from the string s for the same effect.

Internationalization with Qt

See also QObject::tr().